### Method

# Snapd Client get_maintenance

since: 1.45

#### Declaration [src]

    SnapdMaintenance*
    snapd_client_get_maintenance (
      SnapdClient* client
    )

#### Description [src]

Get the maintenance information reported by snapd or `NULL` if no maintenance is in progress. This information is updated after every request.

Available since: 1.45

#### Return value

Type: `SnapdMaintenance`

A `SnapdMaintenance` or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.